Description

Some SLD (and SE) tags are defined by extending the ParameterValueType type.

Here's its definition (from SE spec.):

<xsd:complexType name="ParameterValueType" mixed="true">

  <xsd:sequence minOccurs="0" maxOccurs="unbounded">

    <xsd:element ref="ogc:expression"/>

  </xsd:sequence>

</xsd:complexType>

The parameter values are allowed to be complex expressions for maximum flexibility.

The ‘mixed="true"’ definition means that regular text may be mixed in with various sub-expressions, implying a text-substitution

model for parameter values. Numeric and character-string data types are not distinguished, which may cause some complications.

Here are some usage examples:

<SvgParameter name="stroke-width">3</SvgParameter>

<SvgParameter name="stroke-width">

  <ogc:Literal>3</ogc:Literal>

</SvgParameter>

<SvgParameter name="stroke-width">

  <ogc:Add>

    <ogc:PropertyName>A</ogc:PropertyName>

    <ogc:Literal>2</ogc:Literal>

  </ogc:Add>

</SvgParameter>

In this moment QGis supports only one of them depending on the tag:

    -  SvgParameter and CssParameter tags must contain a value

    -  Rotation and Opacity tags must contain a ogc:Literal element
History

#1 - 2012-09-04 12:07 PM - Paolo Cavallini

- Target version set to Version 2.0.0

#2 - 2014-06-28 07:42 AM - Jürgen Fischer

- Target version changed from Version 2.0.0 to Future Release - Lower Priority

#3 - 2017-05-01 01:09 AM - Giovanni Manghi

- Easy fix? set to No

- Regression? set to No

#4 - 2017-10-14 11:53 AM - Andrea Aime

- Description updated

- Subject changed from SLD: support both plain values and ogc:Literal tags within se:SvgParameter tag (and others) to SLD: import both plain values 

and ogc:Literal tags within se:SvgParameter tag (and others)

#5 - 2019-03-09 04:04 PM - Giovanni Manghi

- Resolution set to end of life

- Status changed from Open to Closed

End of life notice: QGIS 2.18 LTR

Source:

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/
